Subject: RE: [Simple] Re: draft-olson-simple-publish-01.txt

From: "George Foti (LMC)" <[email-masked]>
Date: Tue, 29 Oct 2002 14:22:09 -0500

I have the same concern. Sections 1.1.4 & 3.3 are not well aligned with
respect to the real intent for Stream header. Is it meant to be used as :
1) A unique correlation identifier
2) A way for sequencing for data from the *same* source
3) Both 1) & 2)

If it is case 3 than I am not sure how will that really work if the
semantics is not defined.

Rgds/gf

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]]
> Sent: Monday, October 28, 2002 2:17 PM
> To: Sean Olson
> Cc: Simple
> Subject: Re: [Simple] Re: draft-olson-simple-publish-01.txt
> 
> 
> 
> 
> Sean Olson wrote:
> > 
> > The analogy breaks down in situations that need
> > more persistence of the stream identifier. If Call-ID
> > where to persist across all requests, across reboots,
> > and potentially across devices, then it would be a
> > perfect fit :)
> 
> Hmm. If that analogy doesn't hold then it would be helpful to 
> have a more complete description of the semantics of a 
> stream. I guess the discussion of section 1.1.4 Publisher 
> Instance is intended to provide this. But it doesn't line up 
> especially well with the definition of Stream in 3.3. Section 
> 3.3 focuses on providing a context within which to process 
> messages in order, while 1.1.4 focuses on distinct publishing 
> instances. From your comments, you suggest that a distinct 
> instance might not always reside on the same device. Once you 
> say that, the possibility arises that you might have two 
> physical devices simultaneously claiming to have the same 
> logical identity. And that messes up the suggested means of 
> ordering messages within a stream. Actually, even moving a 
> stream from one device to another might cause ordering to be 
> messed up if there is significant clock skew.
> 
> Based on the available descriptions, I don't yet understand 
> what I might want to use this feature for. You authors 
> obviously have something in mind that motivates the exact 
> options you have selected. Maybe a more specific example would help.
> 
> 	Paul
> _______________________________________________
> simple mailing list
> [email-masked]
> http://mailman.dynamicsoft.com/mailman/listinfo/simple
> 
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple